		<h2>Papierkorb <span id="actiontitle">(Übersicht)</span></h2>

<?php 
$moduldaten = $this->data;
unset($moduldaten['title']);
unset($moduldaten['controller']);

$this->functions->needs('bereiche');
$bereiche = new bereiche(2);

if ( count($moduldaten) == 0 ) {
	$bereiche->oben('modulliste', 'Papierkorb');
?>
				<p>Hier werden die gelöschten Datensätze aufgelistet.</p>
				<p>Derzeit sind keine Datensätze als gelöscht markiert. </p>
<?php
	$bereiche->buttons();
	$bereiche->unten();
} else {
	
	foreach( $moduldaten as $modul ) { 
		$bereiche->oben("modul_".strtolower($modul['controller']), $modul['title']); ?>
				<ul>
				<?php
					$controller = $modul['controller'];
					unset($modul['title'], $modul['controller']); 

					foreach ( $modul as $datensatz ) { 
						if ( isset($datensatz['name']) ) {
							$bezeichnung = $datensatz['name'];
						} elseif ( isset($datensatz['firmenname']) ) {
							$bezeichnung = $datensatz['firmenname']; 
						} else {
							$bezeichnung = 'Datensatz Nr. ' . $datensatz['id']; 
						}
				?>
					<li><a href="/<?php echo $controller; ?>/draft/<?php echo $datensatz['id']; ?>"><?php echo $bezeichnung; ?></a></li>
				<?php } // inner endforeach ?>
				</ul>

<?php 
		$bereiche->buttons(); 
		$bereiche->unten();  
	} // outer endforeach 
}
?>
